RUN_UPP.PY(1)

NAME
run_upp.py - ultra-large and fragmentary datasets alignment tool

DESCRIPTION
usage: run_upp.py [-h] [-v] [-F N] [-D DISTANCE] [--diameter DIAMETER]

    [-p DIR] [-o OUTPUT] [-d OUTPUT_DIR] [-m MOLECULE] [-x N] [-cp CHCK_FILE] [-cpi N] [-seed N] [-A N] [-M N] [-T N] [-B N] [-S DECOMP] [-s SEQ] [-t TREE] [-a ALIGN] [-l N] [-P N] [-r RAXML] [-f FRAG]

This script runs the UPP algorithm on set of sequences. A backbone alignment and tree can be given as input. If none is provided, a backbone will be automatically generated.

  optional arguments:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

  DECOMPOSITION OPTIONS:

    These options determine the alignment decomposition size, backbone size, and how to decompose the backbone set.

-F N, --fragmentChunkSize N
    maximum fragment chunk size of N. Helps controlling memory. [default: 20000]

-D DISTANCE, --distance DISTANCE
    minimum p-distance before stopping the decomposition[default: 1]

--diameter DIAMETER
    maximum tree diameter before stopping the decomposition[default: None]

-A N, --alignmentSize N
    max alignment subset size of N [default: 10]

-M N, --median_full_length N
    Consider all fragments that are 25% longer or shorter than N to be excluded from the backbone. If value is -1, then UPP will use the median of the sequences as the median full length [default: None]

-T N, --backbone_threshold N
    Only consider sequences with lengths within (1-N)*M and (1+N)*M as full-length, where M is the median length of the full-length sequence given by the -M option and N is the percentage given by the -T option.[default: 0.25]

-B N, --backboneSize N
    (Optional) size of backbone set. If no backbone tree and alignment is given, the sequence file will be randomly split into a backbone set (size set to N) and query set (remaining sequences), [default: min(1000,input size)]

-S DECOMP, --decomp_strategy DECOMP
    decomposition strategy [default: ensemble of HMMs (hierarchical)]

  OUTPUT OPTIONS:

    These options control output.

-p DIR, --tempdir DIR
    Tempfile files will be written to DIR. Full-path required. [default: /tmp/sepp]

-o OUTPUT, --output OUTPUT
    output files with prefix OUTPUT. [default: output]

-d OUTPUT_DIR, --outdir OUTPUT_DIR
    output to OUTPUT_DIR directory. full-path required. [default: .]

  INPUT OPTIONS:

    These options control input. To run SEPP the following is required. A backbone tree (in newick format), a RAxML_info file (this is the file generated by RAxML during estimation of the backbone tree. Pplacer uses this info file to set model parameters), a backbone alignment file (in fasta format), and a fasta file including fragments. The input sequences are assumed to be DNA unless specified otherwise.

-m MOLECULE, --molecule MOLECULE
    Molecule type of sequences. Can be amino, dna, or rna [default: dna]

-s SEQ, --sequence_file SEQ
    Unaligned sequence file. If no backbone tree and alignment is given, the sequence file will be randomly split into a backbone set (size set to B) and query set (remaining sequences), [default: None]

-t TREE, --tree TREE
    Input tree file (newick format) [default: None]

-a ALIGN, --alignment ALIGN
    Aligned fasta file [default: None]

  OTHER OPTIONS:

    These options control how SEPP is run

-x N, --cpu N
    Use N cpus [default: number of cpus available on the machine]

-cp CHCK_FILE, --checkpoint CHCK_FILE
    checkpoint file [default: no checkpointing]

-cpi N, --interval N
    Interval (in seconds) between checkpoint writes. Has effect only with -cp provided. [default: 3600]

-seed N, --randomseed N
    random seed number. [default: 297834]

  UPP OPTIONS:

    These options set settings specific to UPP

-l N, --longbranchfilter N
    Branches longer than N times the median branch length are filtered from backbone and added to fragments. [default: None (no filtering)]

  SEPP OPTIONS:

    These options set settings specific to SEPP and are not used for UPP.

-P N, --placementSize N
    max placement subset size of N [default: 10% of the total number of taxa]

-r RAXML, --raxml RAXML
    RAxML_info file including model parameters, generated by RAxML.[default: None]

-f FRAG, --fragment FRAG
    fragment file [default: None]

SEE ALSO
run_sepp.py(1), upp.config(5)